> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /grailed/items

> Get a Grailed listing by ID or listing URL

**Price:** 1 credit

**⚠️ Common errors:** 412: Listing not found



## OpenAPI

````yaml /openapi/e-commerce-marketplaces.json post /api/grailed/items
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/grailed/items:
    post:
      tags:
        - /grailed
      summary: /grailed/items
      description: |-
        Get a Grailed listing by ID or listing URL

        **Price:** 1 credit

        **⚠️ Common errors:** 412: Listing not found
      operationId: __api_grailed_items_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GrailedItemPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/GrailedItem'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    GrailedItemPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        item:
          type: string
          minLength: 1
      type: object
      required:
        - item
    GrailedItem:
      properties:
        '@type':
          type: string
          default: GrailedItem
        id:
          type: integer
        listing_title:
          type: string
        url:
          anyOf:
            - type: string
            - type: 'null'
        price:
          anyOf:
            - type: number
            - type: 'null'
        price_drops:
          items:
            type: number
          type: array
          default: []
        dropped:
          type: boolean
          default: false
        sold:
          type: boolean
          default: false
        sold_at:
          anyOf:
            - type: integer
            - type: 'null'
        sold_price:
          anyOf:
            - type: number
            - type: 'null'
        sold_shipping_price:
          anyOf:
            - type: number
            - type: 'null'
        sold_price_includes_shipping:
          anyOf:
            - type: boolean
            - type: 'null'
        size:
          anyOf:
            - type: string
            - type: 'null'
        exact_size:
          anyOf:
            - type: string
            - type: 'null'
        pretty_size:
          anyOf:
            - type: string
            - type: 'null'
        category:
          anyOf:
            - type: string
            - type: 'null'
        subcategory:
          anyOf:
            - type: string
            - type: 'null'
        category_path:
          anyOf:
            - type: string
            - type: 'null'
        department:
          anyOf:
            - type: string
            - type: 'null'
        color:
          anyOf:
            - type: string
            - type: 'null'
        country_of_origin:
          anyOf:
            - type: string
            - type: 'null'
        condition:
          anyOf:
            - type: string
            - type: 'null'
        strata:
          anyOf:
            - type: string
            - type: 'null'
        styles:
          items:
            type: string
          type: array
          default: []
        badges:
          items:
            type: string
          type: array
          default: []
        buy_now:
          type: boolean
          default: false
        make_offer:
          type: boolean
          default: false
        follower_count:
          type: integer
          default: 0
        designer_names:
          anyOf:
            - type: string
            - type: 'null'
        designers:
          items:
            $ref: '#/components/schemas/GrailedDesignerRef'
          type: array
          default: []
        collaboration:
          anyOf:
            - $ref: '#/components/schemas/GrailedCollaboration'
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        images:
          items:
            type: string
          type: array
          default: []
        photos:
          items:
            $ref: '#/components/schemas/GrailedPhoto'
          type: array
          default: []
        measurements:
          items:
            $ref: '#/components/schemas/GrailedMeasurement'
          type: array
          default: []
        shipping:
          items:
            $ref: '#/components/schemas/GrailedShippingOption'
          type: array
          default: []
        shipping_label:
          anyOf:
            - $ref: '#/components/schemas/GrailedShippingLabel'
            - type: 'null'
        return_address_country_code:
          anyOf:
            - type: string
            - type: 'null'
        seller:
          anyOf:
            - $ref: '#/components/schemas/GrailedUser'
            - type: 'null'
        created_at:
          anyOf:
            - type: integer
            - type: 'null'
        price_updated_at:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
      required:
        - id
        - listing_title
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    GrailedDesignerRef:
      properties:
        '@type':
          type: string
          default: GrailedDesignerRef
        id:
          type: integer
        name:
          type: string
        alias:
          anyOf:
            - type: string
            - type: 'null'
        departments:
          items:
            type: string
          type: array
          default: []
        logo_url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
        - name
    GrailedCollaboration:
      properties:
        '@type':
          type: string
          default: GrailedCollaboration
        id:
          anyOf:
            - type: integer
            - type: 'null'
        name:
          type: string
        designer_ids:
          items:
            type: integer
          type: array
          default: []
      type: object
      required:
        - name
    GrailedPhoto:
      properties:
        '@type':
          type: string
          default: GrailedPhoto
        id:
          type: integer
        image:
          anyOf:
            - type: string
            - type: 'null'
        width:
          anyOf:
            - type: integer
            - type: 'null'
        height:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
      required:
        - id
    GrailedMeasurement:
      properties:
        '@type':
          type: string
          default: GrailedMeasurement
        measurement_type_id:
          anyOf:
            - type: integer
            - type: 'null'
        department_mapping_id:
          anyOf:
            - type: integer
            - type: 'null'
        inches:
          anyOf:
            - type: number
            - type: 'null'
      type: object
    GrailedShippingOption:
      properties:
        '@type':
          type: string
          default: GrailedShippingOption
        region:
          type: string
        amount:
          anyOf:
            - type: number
            - type: 'null'
        is_enabled:
          type: boolean
          default: false
      type: object
      required:
        - region
    GrailedShippingLabel:
      properties:
        '@type':
          type: string
          default: GrailedShippingLabel
        id:
          type: integer
        label_type:
          anyOf:
            - type: string
            - type: 'null'
        seller_price:
          anyOf:
            - type: number
            - type: 'null'
        is_free_shipping:
          type: boolean
          default: false
      type: object
      required:
        - id
    GrailedUser:
      properties:
        '@type':
          type: string
          default: GrailedUser
        id:
          type: integer
        alias:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        location:
          anyOf:
            - type: string
            - type: 'null'
        location_abbreviation:
          anyOf:
            - type: string
            - type: 'null'
        country_code:
          anyOf:
            - type: string
            - type: 'null'
        total_bought_and_sold:
          type: integer
          default: 0
        follower_count:
          type: integer
          default: 0
        following_count:
          type: integer
          default: 0
        listings_for_sale_count:
          type: integer
          default: 0
        departments:
          items:
            type: string
          type: array
          default: []
        buyer_score:
          anyOf:
            - $ref: '#/components/schemas/GrailedBuyerScore'
            - type: 'null'
        seller_score:
          anyOf:
            - $ref: '#/components/schemas/GrailedSellerScore'
            - type: 'null'
        is_verified:
          type: boolean
          default: false
        is_confirmed:
          type: boolean
          default: false
        is_trusted_seller:
          type: boolean
          default: false
        is_trusted_partner:
          type: boolean
          default: false
        is_managed_seller:
          type: boolean
          default: false
        is_speedy_shipper:
          type: boolean
          default: false
        is_quick_responder:
          type: boolean
          default: false
        is_admin:
          type: boolean
          default: false
        is_ops_agent:
          type: boolean
          default: false
        is_banned:
          type: boolean
          default: false
        is_deleted:
          type: boolean
          default: false
        duties_covered_by_seller:
          type: boolean
          default: false
        created_at:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
      required:
        - id
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
    GrailedBuyerScore:
      properties:
        '@type':
          type: string
          default: GrailedBuyerScore
        purchase_count:
          type: integer
          default: 0
        would_sell_to_again_count:
          type: integer
          default: 0
      type: object
    GrailedSellerScore:
      properties:
        '@type':
          type: string
          default: GrailedSellerScore
        sold_count:
          type: integer
          default: 0
        rating_average:
          anyOf:
            - type: number
            - type: 'null'
        rating_count:
          type: integer
          default: 0
        tags:
          items:
            type: string
          type: array
          default: []
      type: object
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````